
' ----------------------------------------------------------------------------------
' StartAll - A simple script to start Theremino system applications 
' ----------------------------------------------------------------------------------
' This script executes all the apps. with name "Theremino_xxxxx.exe" 
' All the subfolders starting from the position of this file will be scanned
' The applications are started with little delays to respect their order
' The Theremino_Helper (if present) is executed last, so it can take the focus.
' ----------------------------------------------------------------------------------
' The applications containing "vshost" are non executed
' ----------------------------------------------------------------------------------


' ---------------------------------------------------------- Start applications
Set s = WScript.CreateObject ("WScript.shell")
Sub Start(str)
    s.run """" & str & """"
End Sub

' ---------------------------------------------------------- Scan ( subfolders only )
Dim helperPath
Set objFSO = CreateObject("Scripting.FileSystemObject")
ShowSubfolders objFSO.GetFolder(".")
WScript.sleep 1000 ' <--- 1 sec
If helperPath <> "" Then Start(helperPath)

' ---------------------------------------------------------- Recurse subfolders
Sub ShowSubFolders(Folder)
    For Each Subfolder in Folder.SubFolders
        Set objFolder = objFSO.GetFolder(Subfolder.Path)
        Set colFiles = objFolder.Files
        For Each objFile in colFiles
            If InStr(Lcase(objFile.Path), "obj") < 1 Then
                If InStr(Lcase(objFile.Path), "vshost") < 1 Then
	            If Lcase(Left(objFile.Name, 10)) = "theremino_" Then
		        If Lcase(Right(objFile.Name, 4)) = ".exe" Then	
                            'Wscript.Echo objFile.Path
                            If Lcase(Right(objFile.Path, 10)) = "helper.exe" Then
                                helperPath = objFile.Path
		            Else	
		                Start(objFile.Path)
                                WScript.sleep 500 ' <--- 500 msec
                            End If
                        End If
                    End If
		End If
	    End If
        Next
        ShowSubFolders Subfolder
    Next
End Sub


